/* Stile base: Desktop (>768px) */
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html, body {
	height: 100%;
}

body {
	display: flex;
	flex-direction: column;
	font-family: 'Gravitas One', sans serif;
	background: #F1DEDE;
	color: #334155;
	line-height: 1.5;
}

h1,h2,h3,h4,h5,h6 {
	color: #0F172A;
}

header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15px 30px;
	background: #74121D;
	color: #FFFFFF;
	height: 100px;
}

.logo {
	display: flex;
	align-items: center;
	gap: 10px;
	font-family: 'Gravitas One', sans serif;
	font-size: 40px;
	font-weight: bold;
}

nav {
	background: #C52233;
}

.menu {
	display: flex;
	list-style: none;
	gap: 10px;
	padding: 10px 30px;
}

.menu a {
	display: block;
	padding: 10px 20px;
	background: #A4243B;
	color: #F8FAFC;
	text-decoration: none;
	border-radius: 5px;
	width: 150px;
	text-align: center;
}

.menu a:hover {
	background: #FFBFA0;
}

.menu a.active {
	background: #B28B84;
	color: #FFFFFF;
	font-weight: bold;
}

.menu a.active:hover {
	background: #FBD1A2;
}

.hamburger {
	display: none;
	flex-direction: column;
	gap: 5px;
	cursor: pointer;
}

.hamburger .material-icons {
	font-size: 32px;
	color: white;
}

.container {
	flex: 1;
	display: flex;
	width: 100%;
	gap: 20px;
	padding: 20px 30px;
}

main {
	flex: 3;
}
/* Tabella generale */
table {
  border-collapse: collapse; /* meglio per bordi doppi più precisi */
  border: 4px double gray;   /* bordo esterno doppio */
  width: 60%;
  margin: 20px auto;         /* centra la tabella */
  font-family: Arial, sans-serif;
}

/* Celle */
th, td {
  padding: 10px 15px;
  border: 2px double gray;   /* bordi interni doppi */
  text-align: left;
}

/* Intestazione (prima riga) */
table tr:first-child th {
  background-color: #d473a0; /* rosa scuro */
  color: white;
}

/* Righe alternate */
table tr:nth-child(even) td {
  background-color: #ffe6f0; /* rosa chiaro righe pari */
}

table tr:nth-child(odd) td {
  background-color: #ffffff; /* righe dispari bianche */
}
article {
	background: white;
	padding: 20px;
	margin-bottom: 20px;
	overflow:auto;
}

article img {
	float: left;
	width: 33%;
	min-width: 200px;
	margin-right: 20px;
	background: #ffffff;
	padding: 6px;
	border: 1px solid #e5e7eb;
	box-shadow: 0 4px 8px rgba(0,0,0,0.08);
	
}

aside {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 20px;
}
.box {
	background: white;
	padding: 15px;
}

.box img {
	width: 100%;
	background: #ffffff;
	padding: 6px;
	border: 1px solid #e5e7eb;
	box-shadow: 0 4px 8px rgba(0,0,0,0.08);
}

footer {
	background: #0F172A;
	color: #F8FAFC;
	text-align: center;
	height: 50px;
}

footer a {
	color: #93C5FD;
	text-decoration: none;
}

/* Tablet e smartphone grandi (≤768px) */
@media (max-width: 768px) {
	.container {
		flex-direction: column;
	}

	aside {
		flex-direction: row;
	}
  
	aside .box {
		flex: 1;
	}
	.menu {
	display: flex;
	list-style: none;
	gap: 10px;
	padding: 10px 30px;
}

.menu a {
	display: block;
	padding: 10px 10px;
	background: #A4243B;
	color: #F8FAFC;
	text-decoration: none;
	border-radius: 5px;
	width: 105px;
	text-align: center;
}

.menu a:hover {
	background: #FFBFA0;
}

.menu a.active {
	background: #B28B84;
	color: #FFFFFF;
	font-weight: bold;
}

.menu a.active:hover {
	background: #FBD1A2;
}
}


/* Smartphone piccoli (≤480px) */
@media (max-width: 480px) {
	
	.logo {
	display: flex;
	align-items: center;
	gap: 10px;
	font-family: 'Gravitas One', sans serif;
	font-size: 25px;
	font-weight: bold;
}
	}
	nav {
		position: fixed;
		top:0;
		right:0;
		bottom:0;
		left:0;
		background: #C52233;
		display: flex;
		transform: translateY(-100%);
		transition: transform 0.4s ease;
		z-index: 100;
	}

	nav.show {
		transform: translateY(0);
	}

	.menu {
		flex-direction: column;
		gap: 30px;
		padding: 80px 0 0 0;
		font-size: 24px;
		font-weight: 600;
	}
	.menu a {
	background: none;
	text-align: left;
    }
	.menu a:hover {
	background: none;
}

.menu a.active {
	background: none;
	color: #B28B84;
	font-weight: bold;
}

.menu a.active:hover {
	background: none;
}
	.hamburger {
		display: flex;
		z-index: 101;
	}

	.hamburger .material-icons {
		font-size: 36px;
		color: #FFFFFF;
		cursor: pointer;
	}
	aside {
		flex-direction: column;
	}
}
